package macampcorp.macamp.game.challenges;

import android.app.Activity;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;

import macampcorp.macamp.activities.fragments.BombFragment;
import macampcorp.macamp.activities.fragments.QCMFragment;
import macampcorp.macamp.exceptions.BadChallengeConfigException;
import macampcorp.macamp.game.Game;

public class BombDefuse extends Challenge {

    protected String mText;

    public BombDefuse(Game g, JSONObject root, Activity act) {
        super(g, root,  BombFragment.class, act);
        mStartWith= BombFragment.class;
        try {
            mText = root.getString("text");
        }catch(JSONException e)
        {
            e.printStackTrace();
            throw new RuntimeException("Error BombDefuse: bad parameter 'text' :  "+e.getMessage());
        }
    }

    public static final int REQUEST_CODE=1900;

    public int getResultCode() { return REQUEST_CODE; }

    public  String getmText() { return mText;}
}
